package com.ghome.sdk.demo.ui;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.ghome.sdk.demo.activity.BaseActivity;

import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;


public class BaseFragment extends Fragment {

	BaseActivity mContext;
	
	@SuppressLint("ValidFragment")
	public BaseFragment(BaseActivity act) {
		this.mContext = act;
	}

	public BaseFragment() {
	}

	@Nullable
	@Override
	public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable  Bundle savedInstanceState) {
		return super.onCreateView(inflater, container, savedInstanceState);
	}

	protected void checkContext(){
		if (mContext == null){
			mContext = (BaseActivity) getActivity();
		}
	}
}
