package com.ghome.sdk.demo.ui;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.Toast;

import com.ghome.sdk.GHome;
import com.ghome.sdk.common.IGHomeApi;
import com.ghome.sdk.common.IGHomeApi.Callback;
import com.ghome.sdk.demo.R;
import com.ghome.sdk.demo.activity.BaseActivity;

import java.util.Map;

public class CheckNullParamFragment extends BaseFragment {
	@SuppressLint("ValidFragment")
	public CheckNullParamFragment(BaseActivity act) {
		super(act);
	}

	public CheckNullParamFragment() {
	}
	
	View view;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	}

	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container,
			Bundle savedInstanceState) {
		checkContext();
		view = inflater.inflate(R.layout.ghome_demo_fragment_check_null, container, false);

		Button bt_doExtend = (Button) view.findViewById(R.id.bt_doExtend);
		bt_doExtend.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				GHome.getInstance().doExtend(mContext, IGHomeApi.EXTEND_COMMAND_SUBMIT_EXTEND_DATA, null, new Callback() {
					@Override
					public void callback(int code, String msg, Map<String, String> data) {
						Toast.makeText(mContext, "doExtend接口已正确处理入参为null的情况", Toast.LENGTH_SHORT).show();
					}
				});
			}
		});
		return view;
	}

	
	
}
